﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebHierarchicalDataGrid1.DataSource = populateDataSet();
        WebHierarchicalDataGrid1.DataBind();
        WebHierarchicalDataGrid2.DataSource = populateDataSet();
        WebHierarchicalDataGrid2.DataBind();
    }

    protected DataSet populateDataSet()
    {
        DataSet ds = new DataSet();
        DataTable parent = new DataTable("parent");
        DataTable child = new DataTable("child");

        ds.Tables.Add(parent);
        ds.Tables.Add(child);

        parent.Columns.Add("ID");
        parent.Columns.Add("Name");
        child.Columns.Add("ID");
        child.Columns.Add("Name");

        for (int i = 0; i < 5; i++)
        {

            DataRow row = parent.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i.ToString());
            parent.Rows.Add(row);

            row = child.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "childName" + i.ToString());
            child.Rows.Add(row);
        }


        DataRelation rel = new DataRelation("rel", parent.Columns[0], child.Columns[0]);

        ds.Relations.Add(rel);
        return ds;
    }
    protected void WebDropDown1_SelectionChanged(object sender, Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs e)
    {
        if (WebDropDown1.SelectedItem.Index == 0)
        {
            Panel1.Visible = true;
            Panel2.Visible = false;
        }
        else
        {
            Panel2.Visible = true;
            Panel1.Visible = false;
        }
    }
}